## cupid-wpa 2.1

=== debian/changelog ===
cupid-wpa (1:2.1-0.1kali9) kali-dev; urgency=medium

  * Adjust to comply with -std=gnu23
  * Update install path: /sbin -> /usr/sbin
  * Update copyright file (FSF address)

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 15 Oct 2025 10:38:02 +0700

cupid-wpa (1:2.1-0.1kali8) kali-dev; urgency=medium

  * Depends: libunsafessl1.0.2 >= 1.0.2u-0kali2
  * Add build flag -Wno-error=implicit-function-declaration
  * Update Build-Depends: pkg-config => pkgconf

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 10 May 2024 09:45:16 +0700

cupid-wpa (1:2.1-0.1kali7) kali-dev; urgency=medium

  * Remove useless dep on initscripts

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Oct 2023 11:17:29 +0200

cupid-wpa (1:2.1-0.1kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Add watch file pointing to git
  * Drop dependency on lsb-base
  * Fix ncurses dependency
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 12 Apr 2023 16:02:54 -0500

cupid-wpa (1:2.1-0.1kali5) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel, --parallel
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package
  * Fix upstream vcs field name

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  * Add XSBC-Vcs-*

  [ Sophie Brun ]
  * Use libunsafessl-dev
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Sep 2022 15:16:29 +0200

cupid-wpa (1:2.1-0.1kali4) kali-dev; urgency=medium

  * New upload with version kali4

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Sep 2020 09:33:21 +0200

cupid-wpa (1:2.1-0.1kali3) kali-dev; urgency=medium

  * Add epoch to sync the binary packages version: only cupid-hostapd had an
    epoch.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Sep 2020 09:25:55 +0200

cupid-wpa (2.1-0.1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Fix invalid short name license in debian/copyright
  * Remove useless debian/source.lintian-overrides
  * Remove old references to original package wpa
  * Remove unused old patches
  * Add missing Vcs-*
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Sep 2020 15:56:34 +0200

cupid-wpa (2.1-0.1kali2) kali-dev; urgency=medium

  * Replace the build-depend libssl-dev by libssl1.0-dev

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2017 15:16:12 +0100

cupid-wpa (2.1-0.1kali1) kali; urgency=medium

  * Initial packaging fork of the wpa package with the cupid patch applied
  * debian/control: homepage points on cupid
  * debian/control: name of binary packages modified with cupid- prefix
  * debian/control: descriptions totally rewritten for cupid-wpasupplicant
    and for cupid-hostapd
  * debian/control: desactivate binary packages udeb and gui
  * debian/rules: desactivate all commands for udeb and gui
  * debian/rules: manually install renamed binaries and manual pages
  * debian/rules: do not install hostapd/.config as it's provided by the patch
    debian/patches/cupid-wpahostapd.patch
  * debian/patches/cupid-wpahostapd.patch: CONFIG_LIBNL32=y activated
  * debian/patches/cupid-wpasupplicant.patch: drop changes which were already
    present in cupid-wpahostapd.patch
  * include upstream readme in debian/README.cupid
  * add examples for cupid-hostapd and cupid-wpasupplicant

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Jun 2014 15:58:15 +0200

wpa (2.1-0.1) unstable; urgency=medium

  * New upstream release:
    - drop 13_human_readable_signal.patch, applied upstream.
    - drop hostapd_fix-WDS-VLAN-bridge-handling.patch, applied upstream.
  * Merged new config options:
    - CONFIG_WPS_NFC
    - CONFIG_EAP_EKE
    - CONFIG_WNM
    - CONFIG_IEEE80211AC
    - CONFIG_DEBUG_LINUX_TRACING
    - CONFIG_VLAN_NETLINK
    - CONFIG_TLSV12
    - CONFIG_HS20
    - CONFIG_SQLITE
    - CONFIG_TESTING_OPTIONS
    - CONFIG_ACS
    - CONFIG_HT_OVERRIDES
    - CONFIG_VHT_OVERRIDES
    - CONFIG_TDLS
    - CONFIG_WIFI_DISPLAY
    - CONFIG_AUTOSCAN_EXPONENTIAL
    - CONFIG_AUTOSCAN_PERIODIC

 -- Gerald Turner <gturner@unzane.com>  Sun, 25 May 2014 19:00:00 -0700

wpa (1.1-1) unstable; urgency=medium

  * New upstream release:
    - drop 11_wpa_gui_ftbfs_gcc_4_7, applied upstream.
    - drop EAP-TLS-server_fix-TLS-Message-length-validation, applied upstream.
    - fixes:
      - EAP access point constantly roaming with proactive key caching
        (Closes: #711063).
  * enable IBSS RSN, thanks to Nicolas Cavallari <batchman@free.fr>
    (Closes: #678147).
  * enable simple AP support for wpasupplicant, thanks to Patrik Flykt
    <patrik.flykt@linux.intel.com> (Closes: #690536).
  * use the readline6, wpa_cli doesn't link to openssl.
  * link with --as-needed.
  * compress binaries with xz.
  * debian/get-orig-source: switch to xz compressed upstream tarballs.
  * debian/get-orig-source: adapt for the post 1.x upstream branch.
  * debian/get-orig-source: support named snapshots, see debian/README.source
    for detailed syntax and semantics.
  * debian/README.source: explain fetching git snapshots by specifying their
    git hash.
  * debian/README.source: update to match current reality and apply grammar
    fixes.
  * debian/README.source: drop trailing whitespace.
  * fix hardening flags, thanks a lot to Florent Daigniere
    <nextgens@freenetproject.org> (Closes: #725865).

