=== debian/control ===
Source: cupid-wpa
Section: net
Priority: optional
XSBC-Original-Maintainer: Debian wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (=13),
               docbook-to-man,
               docbook-utils,
               libdbus-1-dev,
               libncurses-dev,
               libnl-3-dev (>= 3.2.3-2~),
               libnl-genl-3-dev (>= 3.2.3-2~),
               libnl-route-3-dev (>= 3.2.3-2~),
               libpcsclite-dev,
               libreadline-dev,
               libsqlite3-dev,
               libunsafessl-dev,
               pkgconf,
Standards-Version: 4.6.2
XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/wpa
XS-Debian-Vcs-Git: https://salsa.debian.org/debian/wpa.git
Vcs-Git: https://gitlab.com/kalilinux/packages/cupid-wpa.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/cupid-wpa
Homepage: https://github.com/lgrangeia/cupid/

Package: cupid-hostapd
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Fork of hostapd to exploit hertbleed vulnerability on wireless networks
 cupid-hostapd provide a binary of the same name that has been patched
 to exploit the heartbleed vulnerability over EAP TLS tunneled protocols
 (EAP-PEAP, EAP-TLS, EAP-TTLS) in use in wireless networks.
 .
 With cupid-hostapd you can setup a fake wireless network to exploit
 the vulnerability of terminals that try to connect to it.
 .
 Please see presentation slides for a simple introduction to cupid:
 http://www.slideshare.net/lgrangeia

Package: cupid-wpasupplicant
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
Suggests: libengine-pkcs11-openssl,
          wpagui,
Description: Fork of wpasupplicant to exploit hertbleed vulnerability on wireless networks
 cupid-wpasupplicant provides a binary of the same name that has been patched
 to exploit the heartbleed vulnerability over EAP TLS tunneled protocols
 (EAP-PEAP, EAP-TLS, EAP-TTLS) in use in wireless networks.
 .
 With cupid-wpasupplicant you can try to exploit the vulnerability on
 wireless access points.
 .
 Please see presentation slides for a simple introduction to cupid:
 http://www.slideshare.net/lgrangeia
