=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=2.1~git%cd \
  https://github.com/lgrangeia/cupid HEAD
